% script for problem 1.11 showing correlation of chirp
%
% G. Doblinger, TU-Wien, 02-2001

echo on

% create a sinusoidal chirp signal

N = 300;
n = 0:N-1;
x = sin(pi/3000*n.^2);
acf = conv(x,x(end:-1:1));
sigplot(x,acf);
pause % press a key
%
% problem a)
%
h = sin(5*pi/300*n);
xcf = conv(x,h(end:-1:1));
sigplot(x,h,xcf);
pause % press a key
%
% problem b)
%
h = sin(pi/2000*n.^2);
xcf = conv(x,h(end:-1:1));
sigplot(x,h,xcf);
pause % press a key
%
% problem c)
%
h = randn(1,N);
xcf = conv(x,h(end:-1:1));
sigplot(x,h,xcf);
