function E = nuf_er(ht,Lf,Lt,A,Ut1,Utp,Q,alpha)
%
% error function for nuftran.m, optimization with fminu()
% see nuftran.m for parameters
%
% G. Doblinger, TU-Wien, 6-1996

d = Ut1*ht;
b1 = d .* d(Lf:-1:1);
b2 = d.^2;
b3 = (Utp*ht).^2;
bs = Q*ht;

E = alpha(1)*norm(A(:,1)-b1)^2 + alpha(2)*norm(A(:,2)-b2)^2 + ...
    alpha(3)*norm(A(:,3)-b3)^2 + alpha(4)*(ht'*bs);